package org.eclipse.jdt.internal.compiler.lookup;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.ast.LocalDeclaration;
import org.eclipse.jdt.internal.compiler.lookup.Binding;
import org.eclipse.jdt.internal.compiler.lookup.LocalVariableBinding;
import org.eclipse.jdt.internal.compiler.lookup.TypeBinding;

public class CatchParameterBinding extends LocalVariableBinding {
  TypeBinding[] preciseTypes = (TypeBinding[])Binding.NO_EXCEPTIONS;
  
  public CatchParameterBinding(LocalDeclaration declaration, TypeBinding type, int modifiers, boolean isArgument) {
    super(declaration, type, modifiers, isArgument);
  }
  
  public TypeBinding[] getPreciseTypes() {
    return this.preciseTypes;
  }
  
  public void setPreciseType(TypeBinding raisedException) {
    int length = this.preciseTypes.length;
    for (int i = 0; i < length; i++) {
      if (TypeBinding.equalsEquals(this.preciseTypes[i], raisedException))
        return; 
    } 
    System.arraycopy(this.preciseTypes, 0, this.preciseTypes = new TypeBinding[length + 1], 0, length);
    this.preciseTypes[length] = raisedException;
  }
  
  public boolean isCatchParameter() {
    return true;
  }
}
